import requests
import json
name = input("姓名：")
mobile = input("手机号：")
idcard = input("身份证号：")
url = "https://www.mytijian.com/main/action/familyExamReport/briefList?name={name}&mobile={mobile}&idCardType=idCard&idcard={idcard}&_site=hnszgyytj&_siteType=mobile&clientVersion=v1.1.6&_p="
headers = {
    "User-Agent": "Mozilla/5.0",
    "Content-Type": "application/json;charset=UTF-8"
}
cookies = {
    "user_token": "自己抓"
}

try:
    response = requests.get(url, headers=headers, cookies=cookies, timeout=10)
    print("响应内容：", response.text) 
except requests.exceptions.RequestException as e:
    print(f"请求失败：{e}")
    exit()
if response.status_code == 200:
    try:
        data = response.json()
        print("查询成功！以下是返回的数据：")
        print(data)
    except json.JSONDecodeError:
        print("返回的数据不是有效的JSON格式，请检查接口是否正常。")
else:
    print(f"请求失败，状态码：{response.status_code}")
    print("可能的原因：")
    print("- 未登录或未授权，请检查认证信息是否正确。")
    print("- 接口可能不对外开放，需要联系接口提供者获取权限。")
    print("- 输入的查询参数有误，例如姓名、手机号、身份证号等。")
print('作者:@Datapenetration')
print('频道:byacnb666')